package com.om.service;

import com.om.entity.dto.AppmenuUpdateDTO;
import com.om.entity.dto.DiaMenuQueryPageDTO;
import com.om.entity.dto.DiagnosticMenuDTO;
import com.om.entity.po.DiagnosticMenu;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.AppMenuVO;
import com.om.entity.vo.DiaMenuQueryPageVO;
import com.om.entity.vo.DiaMenuUploadVO;
import com.om.utils.Result;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-03-05
 */
public interface IDiagnosticMenuService extends IService<DiagnosticMenu> {

    Result createDiaMenu(DiagnosticMenuDTO dto);

    Result<DiaMenuUploadVO> uploadDiaMenu(MultipartFile file);

    Result deleteDiaMenu(Integer id);

    Result updateStatus(Integer id, Integer status);

    Result<DiaMenuQueryPageVO> getPageList(DiaMenuQueryPageDTO dto);

    Result<AppMenuVO> menuUpdate(AppmenuUpdateDTO dto);
}
